<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/viewBookingDetails.js')); ?>"></script>
    <link rel="stylesheet" href="<?php echo e(asset('asset/style/viewBookingDetails.css')); ?>">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2pdf.js/0.10.1/html2pdf.bundle.min.js"
        integrity="sha512-GsLlZN/3F2ErC5ifS5QtgpiJtWd43JWSuIgh7mbzZ8zBps+dvLusV+eNQATqgA/HdeKFVgA5v3S/cIrLF7QnIg=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<?php $__env->stopSection(); ?>
<?php
    use App\Models\Constants as Constants;
    use App\Models\GlobalFunction as GlobalFunction;
?>
<?php $__env->startSection('content'); ?>
    <style>
        .coupon-text {
            padding: 0px 5px;
            border-radius: 5px;
        }

        .starDisabled {
            color: rgb(184, 184, 184) !important;
        }

        .starActive {
            color: orangered !important;
        }


    </style>

    <input type="hidden" value="<?php echo e($booking->id); ?>" id="bookingId">
    <input type="hidden" value="<?php echo e($booking->booking_id); ?>" id="bookingIdBig">

    <div class="row flex-column flex-xl-row mt-2">

        <div class="card col-4 mr-2">
            <div class="card-header">
                <h4 class="d-inline">
                    <?php echo e($booking->booking_id); ?>

                </h4>

                
                <?php if($booking->status == Constants::orderPlacedPending): ?>
                    <span class="badge bg-warning text-white "><?php echo e(__('Waiting For Confirmation')); ?> </span>
                <?php elseif($booking->status == Constants::orderAccepted): ?>
                    <span class="badge bg-info text-white "><?php echo e(__('Accepted')); ?> </span>
                <?php elseif($booking->status == Constants::orderCompleted): ?>
                    <span class="badge bg-success text-white "><?php echo e(__('Completed')); ?> </span>
                <?php elseif($booking->status == Constants::orderDeclined): ?>
                    <span class="badge bg-danger text-white "><?php echo e(__('Declined')); ?> </span>
                <?php elseif($booking->status == Constants::orderCancelled): ?>
                    <span class="badge bg-danger text-white "><?php echo e(__('Cancelled')); ?> </span>
                <?php endif; ?>

            </div>
            <div class="card-body">
                <div class="">
                    
                    <div class="mt-3">
                        <label class="mb-1 text-grey d-block " for=""><?php echo e(__('Salon')); ?></label>
                        <div class="d-flex align-items-center card-profile">
                            <img class="rounded owner-img-border mr-2" width="80" height="80"
                                src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($booking->salon->images[0]->image); ?>" alt="">
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($booking->salon->salon_name); ?></p>
                                <span class="mt-0 mb-0"><?php echo e($booking->salon->salon_number); ?></span>
                                <p class="mt-0 mb-0"><?php echo e($booking->salon->salon_address); ?></p>
                            </div>
                        </div>
                    </div>
                    
                    <div class="mt-3">
                        <label class="mb-1 text-grey d-block" for=""><?php echo e(__('User')); ?></label>
                        <div class="d-flex align-items-center card-profile">
                            <?php if($booking->user->profile_image != null): ?>
                                <img class="rounded owner-img-border mr-2" width="80" height="80"
                                    src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($booking->user->profile_image); ?>" alt="">
                            <?php else: ?>
                                <img class="rounded owner-img-border mr-2" width="80" height="80"
                                    src="http://placehold.jp/150x150.png" alt="">
                            <?php endif; ?>

                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($booking->user->fullname); ?></p>
                                <span
                                    class="mt-0 mb-0"><?php echo e($booking->user->email != null ? $booking->user->email : ''); ?></span>
                                
                            </div>
                        </div>
                    </div>
                    
                   <?php if($staff != null): ?>
                   <div class="mt-3">
                    <label class="mb-1 text-grey d-block" for=""><?php echo e(__('Staff')); ?></label>
                    <div class="d-flex align-items-center card-profile">
                        <?php if($staff->photo != null): ?>
                            <img class="rounded owner-img-border mr-2" width="80" height="80"
                                src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($staff->photo); ?>" alt="">
                        <?php else: ?>
                            <img class="rounded owner-img-border mr-2" width="80" height="80"
                                src="http://placehold.jp/150x150.png" alt="">
                        <?php endif; ?>

                        <div>
                            <p class="mt-0 mb-0 p-data"><?php echo e($staff->name); ?></p>
                            <span
                                class="mt-0 mb-0"><?php echo e($staff->phone); ?></span>
                            
                        </div>
                    </div>
                </div>
                   <?php endif; ?>
                    
                    <div class="mt-3">
                        <label class="mb-1 text-grey d-block" for=""><?php echo e(__('Feedback')); ?></label>
                        <div class="card-profile align-items-center">
                            <div>
                                <?php if($booking->review != null): ?>
                                    <?php echo $ratingBar; ?>

                                    <br>
                                    <span class="mt-0 mb-0"><?php echo e($booking->review->comment); ?></span><br>
                                <?php else: ?>
                                    <p class="mt-0 mb-0 p-data"><?php echo e(__('No Feedback')); ?></p><br>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        
        <div class="card col ml-2">
            <div class="card-header">
                <h4 class="d-inline">
                    <?php echo e(__('Details')); ?>

                </h4>

                <a class="ml-auto" id="print-payment" href="">
                    <span class="badge bg-warning text-white "><?php echo e(__('Print')); ?> </span>
                </a>
                <a class="ml-2" id="download-pdf" href="">
                    <span class="badge bg-warning text-white "><?php echo e(__('Save PDF')); ?> </span>
                </a>
            </div>
            <div class="card-body" id="details-body">

                <div class="d-flex">
                    <div class="col p-0">
                        <label class="text-grey d-block mb-0" for=""><?php echo e(__('Booking Number')); ?></label>
                        <div class="card-profile align-items-center">
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($booking->booking_id); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="col p-0 text-right">
                        <label class="text-grey d-block mb-0" for=""><?php echo e(__('Booking Date')); ?></label>
                        <div class="card-profile align-items-center">
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($booking->created_at); ?></p>
                            </div>
                        </div>
                    </div>
                </div>


                
                <div class="mt-3">
                    <label class="text-grey d-block mb-0" for=""><?php echo e(__('Appointment Schedule')); ?></label>
                    <div class="card-profile align-items-center">
                        <div>
                            <p class="p-data"><span class="mt-0 mb-0"><?php echo e(__('Date')); ?>: <?php echo e($booking->date); ?></span> |
                                <span class="mt-0 mb-0"><?php echo e(__('Time')); ?>:
                                    <?php echo e(GlobalFunction::formateTimeString($booking->time)); ?></span> |
                                <span class="mt-0 mb-0"><?php echo e(__('Duration')); ?>:
                                    <?php echo e($booking->duration); ?></span>
                            </p>
                        </div>
                    </div>
                </div>

                <div class="d-flex">
                    
                    <div class="col-md-6 p-0">
                        <label class="text-grey d-block mb-0" for=""><?php echo e(__('Salon')); ?></label>
                        <div class="card-profile align-items-center">
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($booking->salon->salon_name); ?></p>
                                <p class="mt-0 mb-0"><?php echo e($booking->salon->salon_address); ?></p>
                                <span class="mt-0 mb-0"><?php echo e(__('Salon Number: ')); ?><?php echo e($booking->salon->salon_number); ?></span>
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-md-6 p-0 text-right">
                        <label class="text-grey d-block mb-0" for=""><?php echo e(__('Service Location')); ?></label>
                        <div class="card-profile align-items-center">
                            <?php if($booking->service_location == 0): ?>
                            
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e(__('At Salon')); ?></p>
                            </div>
                            <?php else: ?>
                            
                            <div>
                                <p class="mt-0 mb-0 p-data"><?php echo e($address->name); ?></p>
                                <p class="mt-0 mb-0"><?php echo e($address->mobile); ?></p>
                                    <span  class="badge bg-secondary text-dark "><?php echo e($address->type == 1 ? 'Home' : 'Office'); ?></span>
                                    <?php if($address->latitude != null): ?>
                                    <a target="_blank" class="badge bg-secondary text-dark"
                                    href="https://www.google.com/maps/?q=<?php echo e($address->latitude); ?>,<?php echo e($address->longitude); ?>"><?php echo e(__('Locate')); ?></a>
                                    <?php endif; ?>
                                    <br>
                                <span class="mt-0 mb-0"><?php echo e($address->address); ?> <br> <?php echo e($address->locality); ?>, <?php echo e($address->city); ?>, <?php echo e($address->state); ?>, <?php echo e($address->country); ?>,<?php echo e($address->pin); ?> </span>
                            </div>
                            <?php endif; ?>

                        </div>
                    </div>

                </div>



                 
                 <div class="mt-3">
                    <label class="text-grey d-block mb-0" for=""><?php echo e(__('Payment Type')); ?></label>
                    <div class="card-profile align-items-center">
                        <div>
                            <p class="p-data">
                                <?php if($booking->payment_type == Constants::paymentTypePrepaid): ?>
                                <span class="mt-0 mb-0"><?php echo e(__('Pre-Paid')); ?></span>
                                <?php else: ?>
                                <span class="mt-0 mb-0"><?php echo e(__('Pay After Service')); ?></span>
                                <?php endif; ?>
                            </p>
                        </div>
                    </div>
                </div>

                
                <div class="col-md-6 p-0 mt-3">
                    <label class="text-grey d-block mb-0" for=""><?php echo e(__('Customer')); ?></label>
                    <div class="card-profile align-items-center">
                        <div>
                            <p class="mt-0 mb-0 p-data"><?php echo e($booking->user->fullname); ?></p>
                            <span class="mt-0 mb-0"><?php echo e($booking->user->email != null ? $booking->user->email : ''); ?></span>
                        </div>
                    </div>
                </div>

                <div id="payment-details-body " class="mt-3">

                    <?php $__currentLoopData = $bookingSummary['services']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="invoice-item">
                            <div class="d-flex">
                                <p><?php echo e($item['title']); ?></p>
                            </div>
                            <p><?php echo e($settings->currency); ?><?php echo e($item['price']); ?></p>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php if($bookingSummary['coupon_apply'] == 1): ?>
                        <div class="invoice-item ">
                            <div class="d-flex">
                                <p><?php echo e(__('Discount Amount')); ?></p>
                                <p class="ml-2 bg-dark text-white coupon-text"><?php echo e($bookingSummary['coupon']['coupon']); ?>

                                </p>
                            </div>
                            <p><?php echo e($settings->currency); ?><?php echo e($bookingSummary['discount_amount']); ?></p>
                        </div>
                    <?php endif; ?>
                    <div class="invoice-item ">
                        <div class="d-flex">
                            <p><?php echo e(__('Subtotal')); ?></p>
                        </div>
                        <p><?php echo e($settings->currency); ?><?php echo e($booking->subtotal); ?></p>
                    </div>

                    <?php $__currentLoopData = $bookingSummary['taxes']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="invoice-item">
                            <div class="d-flex">
                                <?php if($item['type'] == Constants::taxPercent): ?>
                                    <p><?php echo e($item['tax_title']); ?> : <?php echo e($item['value']); ?>%</p>
                                <?php else: ?>
                                    <p><?php echo e($item['tax_title']); ?></p>
                                <?php endif; ?>
                            </div>
                            <p><?php echo e($settings->currency); ?><?php echo e($item['tax_amount']); ?></p>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <div class="invoice-item ">
                        <div class="d-flex">
                            <p class="text-white"><?php echo e(__('Payable Amount')); ?></p>
                        </div>
                        <p class="text-white"><?php echo e($settings->currency); ?><?php echo e($booking->payable_amount); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\cutfx_backend\resources\views/viewBookingDetails.blade.php ENDPATH**/ ?>