
<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/viewService.js')); ?>"></script>
    <link rel="stylesheet" href="<?php echo e(asset('asset/style/viewService.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <input type="hidden" value="<?php echo e($service->id); ?>" id="serviceId">

    <div class="card">
        <div class="card-header">
            <h4>
                <?php echo e(__('Service Details')); ?> :
            </h4>
            <span><?php echo e($service->service_number); ?></span>
            <span class="mr-2 ml-2">:</span>
            <span> <?php echo e($service->title); ?></span>

            <label class="switch mb-0 ml-auto">
                <input id="serviceStatus" rel="<?php echo e($service->id); ?>" type="checkbox" class="onoff"
                    <?php echo e($service->status == 1 ? 'checked' : ''); ?>>
                <span class="slider round"></span>
            </label>

            <a href="" id="deleteService" class="ml-2 btn btn-danger text-white"><?php echo e(__('Delete Service')); ?></a>

        </div>
        <div class="card-body">
            <div class="form-group">
                <label class="d-block" for=""><?php echo e(__('Salon')); ?></label>
                <a href="<?php echo e(route('viewSalonProfile', $service->salon->id)); ?>"><span class="badge bg-primary text-white">
                        <?php echo e($service->salon->salon_name); ?></span></a>
            </div>

            <div class="form-group mt-0">
                <label for=""><?php echo e(__('Images')); ?></label>
                <div class="d-flex mb-2">
                    <?php $__currentLoopData = $service->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="service_image">
                            <img width="100" class="rounded" height="100"
                                src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($image->image); ?>" alt="">
                            <i rel="<?php echo e($image->id); ?>" class="fas fa-trash img-delete"></i>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>

            <form action="" method="post" enctype="multipart/form-data" class="" id="serviceForm"
                autocomplete="off">
                <?php echo csrf_field(); ?>

                <input type="hidden" name="id" value="<?php echo e($service->id); ?>">

                <div class="form-row ">
                    <div class="form-group col-md-6">
                        <label for=""><?php echo e(__('Title')); ?></label>
                        <input type="text" class="form-control" name="title" value="<?php echo e($service->title); ?>">
                    </div>
                    <div class="form-group col-md-2">
                        <label for=""><?php echo e(__('Time (Minutes)')); ?></label>
                        <input type="number" class="form-control" name="service_time"
                            value="<?php echo e($service->service_time); ?>">
                    </div>
                    <div class="form-group col-md-2">
                        <label for=""><?php echo e(__('Category')); ?></label>
                        <select name="category_id" id="category_id" class="form-control"
                            aria-label="Default select example">
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php echo e($cat->id == $service->category_id ? 'selected' : ''); ?>

                                    value="<?php echo e($cat->id); ?>"><?php echo e($cat->title); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="form-group col-md-2">
                        <label for=""><?php echo e(__('Gender')); ?></label>
                        <select name="gender" id="gender" class="form-control" aria-label="Default select example">
                            <option <?php echo e($service->gender == 0 ? 'selected' : ''); ?> value="0">
                                <?php echo e(__('Male')); ?></option>
                            <option <?php echo e($service->gender == 1 ? 'selected' : ''); ?> value="1">
                                <?php echo e(__('Female')); ?></option>
                            <option <?php echo e($service->gender == 2 ? 'selected' : ''); ?> value="2">
                                <?php echo e(__('Unisex')); ?></option>
                        </select>
                    </div>

                </div>

                <div class="form-row ">
                    <div class="form-group col-md-6">
                        <label for=""><?php echo e(__('About')); ?></label>
                        <textarea type="text" class="form-control" name="about"><?php echo e($service->about); ?></textarea>
                    </div>
                    <div class="form-group col-md-3">
                        <label for=""><?php echo e(__('Price')); ?></label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text">
                                    <?php echo e($settings->currency); ?>

                                </div>
                            </div>
                            <input type="text" class="form-control" name="price" value="<?php echo e($service->price); ?>">
                        </div>

                    </div>
                    <div class="form-group col-md-3">
                        <label for=""><?php echo e(__('Discount')); ?></label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text">
                                    %
                                </div>
                            </div>
                            <input type="text" class="form-control" name="discount" value="<?php echo e($service->discount); ?>">
                        </div>

                    </div>


                </div>

                <div class="form-group">
                    <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                </div>

            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\cutfx_backend\resources\views/viewService.blade.php ENDPATH**/ ?>