<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/viewSalon.js')); ?>"></script>
    <link rel="stylesheet" href="<?php echo e(asset('asset/style/viewSalon.css')); ?>">
<?php $__env->stopSection(); ?>

<style>
    .bank-details span {
        display: block;
        line-height: 18px;
    }
</style>

<?php $__env->startSection('content'); ?>
    <input type="hidden" value="<?php echo e($salon->id); ?>" id="salonId">

    <div class="card">
        <div class="card-header">
            <h4>
                <?php echo e($salon->salon_name); ?> / <?php echo e($salon->salon_number); ?>

            </h4>
            
            <?php if($salon->status == $salonStatus['statusSalonPending']): ?>
                <span class="badge bg-warning text-white "><?php echo e(__('Pending Review')); ?> </span>
            <?php elseif($salon->status == $salonStatus['statusSalonActive']): ?>
                <span class="badge bg-success text-white "><?php echo e(__('Active')); ?> </span>
            <?php elseif($salon->status == $salonStatus['statusSalonBanned']): ?>
                <span class="badge bg-danger text-white "><?php echo e(__('Banned')); ?> </span>
            <?php endif; ?>

            
            <?php if($salon->top_rated == 1): ?>
                <span class="ml-2 badge bg-topRated bg-primary text-white "><?php echo e(__('Top Rated')); ?> </span>
            <?php endif; ?>

            
            <?php if($salon->status == $salonStatus['statusSalonPending']): ?>
                <a href="" id="approveSalon"
                    class="ml-auto btn btn-success activateSalon"><?php echo e(__('Approve Salon')); ?></a>
            <?php elseif($salon->status == $salonStatus['statusSalonActive']): ?>
                <a href="" id="banSalon" class="ml-auto btn btn-danger text-white"><?php echo e(__('Ban Salon')); ?></a>
            <?php elseif($salon->status == $salonStatus['statusSalonBanned']): ?>
                <a href="" id="activateSalon"
                    class="ml-auto btn btn-success activateSalon"><?php echo e(__('Activate Salon')); ?></a>
            <?php endif; ?>

        </div>
        <div class="card-body">

            <div class="form-row">
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Lifetime Earnings')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($settings->currency); ?><?php echo e($salon->lifetime_earnings); ?></p>
                </div>
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Completed Bookings')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($salon->total_completed_bookings); ?></p>
                </div>
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Rejected Bookings')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($salon->total_rejected_bookings); ?></p>
                </div>
                <div class="col-md-2">
                    <label class="mb-0 text-grey d-block" for=""><?php echo e(__('Gender Served')); ?></label>
                    <?php if($salon->gender_served == 0): ?>
                        <span class="badge bg-primary text-white "><?php echo e(__('Male')); ?> </span>
                    <?php elseif($salon->gender_served == 1): ?>
                        <span class="badge bg-primary text-white "><?php echo e(__('Female')); ?> </span>
                    <?php else: ?>
                        <span class="badge bg-primary text-white "><?php echo e(__('Unisex')); ?> </span>
                    <?php endif; ?>
                </div>
            </div>

            <div class="form-row mt-3">
                
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Overall Rating')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($salon->rating); ?></p>
                </div>

                
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Mon-Fri Time')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($salon->mon_fri_from); ?> - <?php echo e($salon->mon_fri_to); ?></p>
                </div>
                
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Sat-Sun Time')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($salon->sat_sun_from); ?> - <?php echo e($salon->sat_sun_to); ?></p>
                </div>
                
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('On Vacation')); ?></label>
                    <?php if($salon->on_vacation == 0): ?>
                        <p class="mt-0 p-data"><?php echo e(__('No')); ?></p>
                    <?php else: ?>
                        <p class="mt-0 p-data"><?php echo e(__('Yes')); ?></p>
                    <?php endif; ?>
                </div>
                
                <div class="col-md-2">
                    <label class="mb-0 text-grey d-block" for=""><?php echo e(__('Salon Location')); ?></label>
                    <a target="_blank" class="badge bg-primary text-white mt-1"
                        href="https://www.google.com/maps/?q=<?php echo e($salon->salon_lat); ?>,<?php echo e($salon->salon_long); ?>"><?php echo e(__('Click To Locate')); ?></a>
                </div>
                
                <div class="col-md-2">
                    <label class="mb-0 text-grey d-block" for=""><?php echo e(__('Owner')); ?></label>
                    <div class="d-flex mt-1 align-items-center">
                        <img class="rounded-circle owner-img-border" width="40" height="40"
                            src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($salon->owner_photo); ?>" alt="">
                        <p class="mt-0 p-data mb-0 ml-2"><?php echo e($salon->owner_name); ?></p>
                    </div>
                </div>

            </div>


            <div class="form-row">
                <div class="col-md-12">
                    <label class="mb-0 text-grey d-block" for=""><?php echo e(__('Salon Categories')); ?></label>
                    <?php $__currentLoopData = $salonCats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <span class="badge bg-cat-tag mt-1"><?php echo e($cat->title); ?> </span>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>

            <div class="form-row  mt-3">
                <div class="col-md-2">
                    <div class="bank-details">
                        <span><?php echo e(__('Bank Details :')); ?></span>
                        <?php if($salon->bankAccount != null): ?>
                            <span class="text-dark font-14"><?php echo e(__('Holder : ')); ?><?php echo e($salon->bankAccount->holder); ?></span>
                            <span
                                class="text-dark font-14"><?php echo e(__('Bank : ')); ?><?php echo e($salon->bankAccount->bank_title); ?></span>
                            <span
                                class="text-dark font-14"><?php echo e(__('Account : ')); ?><?php echo e($salon->bankAccount->account_number); ?></span>
                            <span
                                class="text-dark font-14"><?php echo e(__('Swift Code : ')); ?><?php echo e($salon->bankAccount->swift_code); ?></span>
                            <a data-toggle="modal" data-target="#chequePhotoModal" id="chequePhoto" data-cheque="<?php echo e(env('FILES_BASE_URL') . $salon->bankAccount->cheque_photo); ?>" target="_blank" class="badge bg-primary text-white mt-1"
                                    href=""><?php echo e(__('Cheque Photo')); ?></a>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-md-2">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Wallet')); ?></label>
                    <p class="mt-0 p-data"><?php echo e($settings->currency); ?><?php echo e($salon->wallet); ?></p>
                </div>
            </div>

        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <ul class="nav nav-pills border-b  ml-0">

                <li role="presentation" class="nav-item"><a class="nav-link pointer active" href="#tabDetails"
                        aria-controls="home" role="tab" data-toggle="tab"><?php echo e(__('Details')); ?><span
                            class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabServices" role="tab"
                        data-toggle="tab"><?php echo e(__('Services')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabBookings" role="tab"
                        aria-controls="tabBookings" data-toggle="tab"><?php echo e(__('Bookings')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabGallery" role="tab"
                        aria-controls="tabGallery" data-toggle="tab"><?php echo e(__('Gallery')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabStaff" role="tab"
                        aria-controls="tabStaff" data-toggle="tab"><?php echo e(__('Staff')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabReviews" role="tab"
                        aria-controls="tabReviews" data-toggle="tab"><?php echo e(__('Reviews')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabAwards" role="tab"
                        aria-controls="tabAwards" data-toggle="tab"><?php echo e(__('Awards')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabWalletMoney"
                        role="tab" data-toggle="tab"><?php echo e(__('Wallet')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>
                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabPayOuts" role="tab"
                        data-toggle="tab"><?php echo e(__('Payouts')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>
                <li role="presentation" class="nav-item"><a class="nav-link pointer" href="#tabEarningHistory"
                        role="tab" data-toggle="tab"><?php echo e(__('Earnings')); ?>

                        <span class="badge badge-transparent "></span></a>
                </li>

            </ul>

            <a data-toggle="modal" data-target="#addSalonImagesModal" href="" id="addSalonImages"
                class="ml-auto btn btn-primary text-white"><?php echo e(__('Add Images')); ?></a>
        </div>
        <div class="card-body">
            <div class="tab-content tabs" id="home">

                
                <div role="tabpanel" class="tab-pane active" id="tabDetails">

                    <div class="form-group mt-0">
                        <label for=""><?php echo e(__('Images')); ?></label>
                        <div class="d-flex mb-2">
                            <?php $__currentLoopData = $salon->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="salon_image">
                                    <img width="100" class="rounded" height="100"
                                        src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($image->image); ?>" alt="">
                                    <i rel="<?php echo e($image->id); ?>" class="fas fa-trash img-delete"></i>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>


                    <form action="" method="post" enctype="multipart/form-data" class=""
                        id="salonDetailsForm" autocomplete="off">
                        <?php echo csrf_field(); ?>

                        <input type="hidden" name="id" value="<?php echo e($salon->id); ?>">

                        <div class="form-row ">
                            <div class="form-group col-md-3">
                                <label for=""><?php echo e(__('Email')); ?></label>
                                <input type="text" class="form-control" name="email" disabled
                                    value="<?php echo e($salon->email); ?>">
                            </div>

                            <div class="form-group col-md-3">
                                <label for=""><?php echo e(__('Salon Name')); ?></label>
                                <input type="text" class="form-control" name="salon_name"
                                    value="<?php echo e($salon->salon_name); ?>">
                            </div>


                            <div class="form-group col-md-3">
                                <label for=""><?php echo e(__('Salon Phone')); ?></label>
                                <input type="text" class="form-control" name="salon_phone"
                                    value="<?php echo e($salon->salon_phone); ?>">
                            </div>

                            <div class="form-group col-md-3">
                                <label for=""><?php echo e(__('Gender Served')); ?></label>
                                <select name="gender_served" id="gender" class="form-control"
                                    aria-label="Default select example">
                                    <option <?php echo e($salon->gender_served == 0 ? 'selected' : ''); ?> value="0">
                                        <?php echo e(__('Male')); ?></option>
                                    <option <?php echo e($salon->gender_served == 1 ? 'selected' : ''); ?> value="1">
                                        <?php echo e(__('Female')); ?></option>
                                    <option <?php echo e($salon->gender_served == 2 ? 'selected' : ''); ?> value="2">
                                        <?php echo e(__('Unisex')); ?></option>
                                </select>
                            </div>

                        </div>

                        <div class="form-row ">
                            <div class="form-group col-md-4">
                                <label for=""><?php echo e(__('Salon About')); ?></label>
                                <textarea type="text" class="form-control" name="salon_about"><?php echo e($salon->salon_about); ?></textarea>
                            </div>

                            <div class="form-group col-md-4">
                                <label for=""><?php echo e(__('Salon Address')); ?></label>
                                <textarea type="text" class="form-control" name="salon_address"><?php echo e($salon->salon_address); ?></textarea>
                            </div>

                        </div>

                        <div class="form-group">
                            <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                        </div>

                    </form>


                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabBookings">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="bookingsTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Booking Number')); ?></th>
                                    <th><?php echo e(__('User')); ?></th>
                                    <th><?php echo e(__('Salon')); ?></th>
                                    <th><?php echo e(__('Status')); ?></th>
                                    <th><?php echo e(__('Date & Time')); ?></th>
                                    <th><?php echo e(__('Service Amount')); ?></th>
                                    <th><?php echo e(__('Discount Amount')); ?></th>
                                    <th><?php echo e(__('Subtotal')); ?></th>
                                    <th><?php echo e(__('Total Tax Amount')); ?></th>
                                    <th><?php echo e(__('Payable Amount')); ?></th>
                                    <th><?php echo e(__('Placed On')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabServices">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="servicesTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Number')); ?></th>
                                    <th><?php echo e(__('Image')); ?></th>
                                    <th><?php echo e(__('Title')); ?></th>
                                    <th><?php echo e(__('Category')); ?></th>
                                    <th><?php echo e(__('Time (Minutes)')); ?></th>
                                    <th><?php echo e(__('Price')); ?></th>
                                    <th><?php echo e(__('Discount')); ?></th>
                                    <th><?php echo e(__('Gender')); ?></th>
                                    <th><?php echo e(__('Status (On/Off)')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabStaff">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="staffTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Photo')); ?></th>
                                    <th><?php echo e(__('Details')); ?></th>
                                    <th><?php echo e(__('Bookings')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabGallery">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="galleryTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Image')); ?></th>
                                    <th class="w-70"><?php echo e(__('Description')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabReviews">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="reviewsTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Rating')); ?></th>
                                    <th class="w-30"><?php echo e(__('Comment')); ?></th>
                                    <th><?php echo e(__('Booking')); ?></th>
                                    <th><?php echo e(__('Date&Time')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabAwards">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="awardsTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Award')); ?></th>
                                    <th><?php echo e(__('By')); ?></th>
                                    <th class="w-70"><?php echo e(__('Description')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabWalletMoney">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="walletStatementTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Transaction ID')); ?></th>
                                    <th><?php echo e(__('Summary')); ?></th>
                                    <th><?php echo e(__('Amount')); ?></th>
                                    <th><?php echo e(__('Credit/Debit')); ?></th>
                                    <th><?php echo e(__('Date & Time')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <div role="tabpanel" class="tab-pane" id="tabPayOuts">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="salonPayOutsTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Request Number')); ?></th>
                                    <th><?php echo e(__('Bank Details')); ?></th>
                                    <th><?php echo e(__('Amount & Status')); ?></th>
                                    <th><?php echo e(__('Date & Time')); ?></th>
                                    <th><?php echo e(__('Salon')); ?></th>
                                    <th><?php echo e(__('Summary')); ?></th>
                                    <th><?php echo e(__('Placed On')); ?></th>
                                    <th><?php echo e(__('Actions')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>

                
                <div role="tabpanel" class="tab-pane" id="tabEarningHistory">
                    <div class="table-responsive col-12">
                        <table class="table table-striped w-100 word-wrap" id="earningsTable">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Earning Number')); ?></th>
                                    <th><?php echo e(__('Booking Number')); ?></th>
                                    <th><?php echo e(__('Amount')); ?></th>
                                    <th><?php echo e(__('Date')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>


            </div>

            
            <div class="modal fade" id="addSalonImagesModal" tabindex="-1" role="dialog"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5><?php echo e(__('Add Salon Images')); ?></h5>

                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <form action="" method="post" enctype="multipart/form-data" id="addSalonImagesForm"
                                autocomplete="off">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="id" value="<?php echo e($salon->id); ?>">

                                
                                <div class="form-group">
                                    <div class="mb-3">
                                        <label for="image" class="form-label"><?php echo e(__('Select Images')); ?></label>
                                        <input class="form-control" type="file" name="images[]"
                                            accept="image/png, image/gif, image/jpeg" required multiple>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                                </div>

                            </form>
                        </div>

                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="previewGalleryModal" tabindex="-1" role="dialog"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5><?php echo e(__('Preview Gallery Post')); ?></h5>

                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="descGalleryPreview"></p>
                            <img class="rounded" width="100%" id="imggalleryPreview" src="" alt="">
                        </div>

                    </div>
                </div>
            </div>

            
            <div class="modal fade" id="rejectModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5><?php echo e(__('Reject Withdrawal')); ?></h5>

                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <form action="" method="post" enctype="multipart/form-data" id="rejectForm"
                                autocomplete="off">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" id="rejectId" name="id">
                                <div class="form-group">
                                    <label> <?php echo e(__('Summary')); ?></label>
                                    <textarea rows="10" style="height:200px !important;" type="text" name="summary" class="form-control"></textarea>
                                </div>
                                <div class="form-group">
                                    <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                                </div>

                            </form>
                        </div>

                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="completeModal" tabindex="-1" role="dialog"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5><?php echo e(__('Complete Withdrawal')); ?></h5>

                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <form action="" method="post" enctype="multipart/form-data" id="completeForm"
                                autocomplete="off">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" id="completeId" name="id">
                                <div class="form-group">
                                    <label> <?php echo e(__('Summary')); ?></label>
                                    <textarea rows="10" style="height:200px !important;" type="text" name="summary" class="form-control"></textarea>
                                </div>
                                <div class="form-group">
                                    <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                                </div>

                            </form>
                        </div>

                    </div>
                </div>
            </div>

                 
      <div class="modal fade" id="chequePhotoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
          <div class="modal-content">
              <div class="modal-header">
                  <h5><?php echo e(__('Cheque Photo')); ?></h5>

                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                  </button>
              </div>
              <div class="modal-body">
                <img id="chequePhotoImg" src="<?php echo e(env('FILES_BASE_URL') . $salon->bankAccount->cheque_photo); ?>" width="100%" src="" alt="">
              </div>

          </div>
      </div>
  </div>
        <?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\cutfx_backend\resources\views/viewSalon.blade.php ENDPATH**/ ?>