<?php $__env->startSection('header'); ?>
    <script src="<?php echo e(asset('asset/script/viewStaff.js')); ?>"></script>
    <link rel="stylesheet" href="<?php echo e(asset('asset/style/viewSalon.css')); ?>">
<?php $__env->stopSection(); ?>

<style>
    .bank-details span {
        display: block;
        line-height: 18px;
    }
</style>

<?php
    use App\Models\GlobalFunction;
?>

<?php $__env->startSection('content'); ?>
    <input type="hidden" value="<?php echo e($staff->id); ?>" id="staffId">

    <div class="card">
        <div class="card-header">
            <h4>
                <?php echo e($staff->name); ?>

                <a data-toggle="modal" data-target="#editStaffModal" href=""
                class="ml-2 mb-1 btn btn-primary text-white"><?php echo e(__('Edit Barber')); ?></a>
            </h4>

        </div>
        <div class="card-body">

            <div class="form-row">
                 
                 <div class="mt-3 col-3">
                    <label class="mb-1 text-grey d-block" for=""><?php echo e(__('Barber')); ?></label>
                    <div class="d-flex align-items-center card-profile">
                        <?php if($staff->photo != null): ?>
                            <img class="rounded owner-img-border mr-2" width="80" height="80"
                                src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($staff->photo); ?>" alt="">
                        <?php else: ?>
                            <img class="rounded owner-img-border mr-2" width="80" height="80"
                                src="http://placehold.jp/150x150.png" alt="">
                        <?php endif; ?>

                        <div>
                            <p class="mt-0 mb-0 p-data"><?php echo e($staff->name); ?></p>
                            <span
                                class="mt-0 mb-0"><?php echo e($staff->phone); ?></span><br>
                            <span class="mt-0 mb-0"><?php echo e($staff->gender == 1 ? __('Male') : __('Female')); ?></span>
                            <span  class="badge bg-warning text-white "><i class="fas fa-star"></i><?php echo e(GlobalFunction::formateLongFloatNumber($staff->rating)); ?></span>
                        </div>
                    </div>
                </div>
                 
                 <div class="mt-3 col-3">
                    <label class="mb-1 text-grey d-block " for=""><?php echo e(__('Salon')); ?></label>
                    <div class="d-flex align-items-center card-profile">
                        <img class="rounded owner-img-border mr-2" width="80" height="80"
                            src="<?php echo e(env('FILES_BASE_URL')); ?><?php echo e($staff->salon->images[0]->image); ?>" alt="">
                        <div>
                            <p class="mt-0 mb-0 p-data"><?php echo e($staff->salon->salon_name); ?></p>
                            <span class="mt-0 mb-0"><?php echo e($staff->salon->salon_number); ?></span>
                            <p class="mt-0 mb-0"><?php echo e($staff->salon->salon_address); ?></p>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <h4><?php echo e(__('Slots')); ?></h4>
        </div>
        <div class="card-body">
            <div class="slote-table table-responsive col-12">
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Monday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['mondaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Tuesday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['tuesdaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Wednesday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['wednesdaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Thursday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['thursdaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Friday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['fridaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Saturday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['saturdaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="mt-2 d-flex">
                    <label class="mb-0 text-grey" for=""><?php echo e(__('Sunday')); ?></label>
                    <div class="slot-time-block">
                        <?php $__currentLoopData = $slots['sundaySlots']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slot-time-inner">
                                <span class="slot-time"><?php echo e($item['time']); ?></span>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <div class="card">
        <div class="card-header">
            <h4><?php echo e(__('Bookings')); ?></h4>
        </div>
        <div class="card-body">
                <div class="table-responsive col-12">
                    <table class="table table-striped w-100 word-wrap" id="staffBookingsTable">
                        <thead>
                            <tr>
                                <th><?php echo e(__('Booking Number')); ?></th>
                                <th><?php echo e(__('User')); ?></th>
                                <th><?php echo e(__('Salon')); ?></th>
                                <th><?php echo e(__('Status')); ?></th>
                                <th><?php echo e(__('Date & Time')); ?></th>
                                <th><?php echo e(__('Service Amount')); ?></th>
                                <th><?php echo e(__('Discount Amount')); ?></th>
                                <th><?php echo e(__('Subtotal')); ?></th>
                                <th><?php echo e(__('Total Tax Amount')); ?></th>
                                <th><?php echo e(__('Payable Amount')); ?></th>
                                <th><?php echo e(__('Order Date')); ?></th>
                                <th><?php echo e(__('Action')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
        </div>
    </div>

    
    <div class="modal fade" id="editStaffModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5><?php echo e(__('Edit Barber')); ?></h5>

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="" method="post" enctype="multipart/form-data" id="editStaffForm"
                        autocomplete="off">
                        <?php echo csrf_field(); ?>

                        <input type="hidden" value="<?php echo e($staff->id); ?>" name="id">

                        <div class="form-group">
                            <label><?php echo e(__('Photo : (Select only if you want to edit)')); ?> </label>
                            <input class="form-control" type="file" id="photo" name="photo">
                        </div>

                        <div class="form-group">
                            <label> <?php echo e(__('Name')); ?></label>
                            <input type="text" value="<?php echo e($staff->name); ?>" name="name" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label> <?php echo e(__('Phone')); ?></label>
                            <input type="text" value="<?php echo e($staff->phone); ?>" name="phone" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label> <?php echo e(__('Gender')); ?></label>
                            <select name="gender" class="form-control">
                                <option <?php echo e($staff->gender == 0 ? 'selected' : ''); ?> value="0"><?php echo e(__('Female')); ?></option>
                                <option <?php echo e($staff->gender == 1 ? 'selected' : ''); ?> value="1"><?php echo e(__('Male')); ?></option>
                            </select>
                        </div>

                        <div class="form-group">
                            <input class="btn btn-primary mr-1" type="submit" value=" <?php echo e(__('Submit')); ?>">
                        </div>

                    </form>
                </div>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('include.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\cutfx_backend\resources\views/viewStaff.blade.php ENDPATH**/ ?>